## GogRegCurve

GogRegCurve — Base class for regression curves

## Synopsis

                        GogRegCurve;
    gcharconst *        gog_reg_curve_get_equation          (GogRegCurve *reg_curve);
    double              gog_reg_curve_get_R2                (GogRegCurve *reg_curve);
    void                gog_reg_curve_get_bounds            (GogRegCurve *reg_curve,
                                                             double *xmin,
                                                             double *xmax);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogTrendLine
                         +----GogRegCurve

## Implemented Interfaces

GogRegCurve implements GogDataset.

## Properties

      "skip-invalid"             gboolean              : Read / Write

## Description

## Details

### GogRegCurve

    typedef struct _GogRegCurve GogRegCurve;

### gog_reg_curve_get_equation ()

    gcharconst *        gog_reg_curve_get_equation          (GogRegCurve *reg_curve);

`reg_curve` : |
Returns : |

### gog_reg_curve_get_R2 ()

    double              gog_reg_curve_get_R2                (GogRegCurve *reg_curve);

`reg_curve` : |
Returns : |

### gog_reg_curve_get_bounds ()

    void                gog_reg_curve_get_bounds            (GogRegCurve *reg_curve,
                                                             double *xmin,
                                                             double *xmax);

`reg_curve` : |
`xmin` : |
`xmax` : |

## Property Details

### The `"skip-invalid"` property

      "skip-invalid"             gboolean              : Read / Write

Skip invalid data.

Default value: FALSE